<html>
<head>
<title>OGRE: Ogre::AnyNumeric Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a></div>
<h1>Ogre::AnyNumeric Class Reference</h1><!-- doxytag: class="Ogre::AnyNumeric" --><!-- doxytag: inherits="Ogre::Any" -->Specialised <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / .  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::AnyNumeric:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1AnyNumeric-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#e46b3b0ebe2e956031cfa3f771087708">AnyNumeric</a> ()</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a6bbcc98cfd2788e894f9443d81a22d1">AnyNumeric</a> (const ValueType &amp;value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#9ae2045cc85e7a8e134d54e0babc2a3f">AnyNumeric</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;other)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#e50aea5f19e2fd3957eebbd688c0a533">operator=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#00fd7a417079429e2fd6b3622b51749f">operator+</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#298def7d35b38a3751d396a26cbe0137">operator-</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#4e66ac542966477326594bbcaff6c1bf">operator *</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#ee6cd64fb5fead543f31223cb007057e">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#42655948f62f8795f0e1133c38aa4d8e">operator/</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a4087f5136e423b245fd620527e2966f">operator+=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#826b7eaea253ac06098fec4002c5c768">operator-=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#3f0b93de432f171f191d323fd181b2b0">operator *=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#45c2fcf50e3b46055c7cf4f31dbd49f5">operator/=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#8e18c614d89437e11df1b8defe85ea2e">swap</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#f6206a0377aaf42fbb1224a5fbaf6246">isEmpty</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const std::type_info &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#cbff05f938b211cb667dddcb46102722">getType</a> () const </td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#4d704178de8d4c025248da486385ac75">operator()</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#58c2548951abc9a76f4b4a36a1696d73">AnyNumeric</a> (placeholder *pholder)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct from holder.  <a href="#58c2548951abc9a76f4b4a36a1696d73"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">placeholder *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#9a6bedddda6079058335bb8e78497445">mContent</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#deded586bbc395a3e2d075d63c19f0f6">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;v)</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#d386f3fa16eb4c0e860d70c92a9e16dd">any_cast</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> *)</td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">numplaceholder</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialised <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . 
<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00215">215</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e46b3b0ebe2e956031cfa3f771087708"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="e46b3b0ebe2e956031cfa3f771087708" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnyNumeric::AnyNumeric           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00218">218</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00325">operator *()</a>, <a class="el" href="OgreAny_8h-source.html#l00352">operator *=()</a>, <a class="el" href="OgreAny_8h-source.html#l00315">operator+()</a>, <a class="el" href="OgreAny_8h-source.html#l00340">operator+=()</a>, <a class="el" href="OgreAny_8h-source.html#l00320">operator-()</a>, <a class="el" href="OgreAny_8h-source.html#l00346">operator-=()</a>, <a class="el" href="OgreAny_8h-source.html#l00335">operator/()</a>, <a class="el" href="OgreAny_8h-source.html#l00358">operator/=()</a>, and <a class="el" href="OgreAny_8h-source.html#l00310">operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="a6bbcc98cfd2788e894f9443d81a22d1"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="a6bbcc98cfd2788e894f9443d81a22d1" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnyNumeric::AnyNumeric           </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00224">224</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ae2045cc85e7a8e134d54e0babc2a3f"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="9ae2045cc85e7a8e134d54e0babc2a3f" args="(const AnyNumeric &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnyNumeric::AnyNumeric           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>other</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00230">230</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#d445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder::clone()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="58c2548951abc9a76f4b4a36a1696d73"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="58c2548951abc9a76f4b4a36a1696d73" args="(placeholder *pholder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::AnyNumeric::AnyNumeric           </td>
          <td>(</td>
          <td class="paramtype">placeholder *&nbsp;</td>
          <td class="paramname"> <em>pholder</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct from holder. 
<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00304">304</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e50aea5f19e2fd3957eebbd688c0a533"></a><!-- doxytag: member="Ogre::AnyNumeric::operator=" ref="e50aea5f19e2fd3957eebbd688c0a533" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00310">310</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>.</p>

</div>
</div><p>
<a class="anchor" name="00fd7a417079429e2fd6b3622b51749f"></a><!-- doxytag: member="Ogre::AnyNumeric::operator+" ref="00fd7a417079429e2fd6b3622b51749f" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator+           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00315">315</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="298def7d35b38a3751d396a26cbe0137"></a><!-- doxytag: member="Ogre::AnyNumeric::operator-" ref="298def7d35b38a3751d396a26cbe0137" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator-           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00320">320</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e66ac542966477326594bbcaff6c1bf"></a><!-- doxytag: member="Ogre::AnyNumeric::operator *" ref="4e66ac542966477326594bbcaff6c1bf" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator *           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00325">325</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="ee6cd64fb5fead543f31223cb007057e"></a><!-- doxytag: member="Ogre::AnyNumeric::operator *" ref="ee6cd64fb5fead543f31223cb007057e" args="(Real factor) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>factor</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00330">330</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="42655948f62f8795f0e1133c38aa4d8e"></a><!-- doxytag: member="Ogre::AnyNumeric::operator/" ref="42655948f62f8795f0e1133c38aa4d8e" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator/           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00335">335</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="a4087f5136e423b245fd620527e2966f"></a><!-- doxytag: member="Ogre::AnyNumeric::operator+=" ref="a4087f5136e423b245fd620527e2966f" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator+=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00340">340</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="826b7eaea253ac06098fec4002c5c768"></a><!-- doxytag: member="Ogre::AnyNumeric::operator-=" ref="826b7eaea253ac06098fec4002c5c768" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator-=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00346">346</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="3f0b93de432f171f191d323fd181b2b0"></a><!-- doxytag: member="Ogre::AnyNumeric::operator *=" ref="3f0b93de432f171f191d323fd181b2b0" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator *=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00352">352</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="45c2fcf50e3b46055c7cf4f31dbd49f5"></a><!-- doxytag: member="Ogre::AnyNumeric::operator/=" ref="45c2fcf50e3b46055c7cf4f31dbd49f5" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator/=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00358">358</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00218">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="8e18c614d89437e11df1b8defe85ea2e"></a><!-- doxytag: member="Ogre::AnyNumeric::swap" ref="8e18c614d89437e11df1b8defe85ea2e" args="(Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::swap           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00078">78</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="f6206a0377aaf42fbb1224a5fbaf6246"></a><!-- doxytag: member="Ogre::AnyNumeric::isEmpty" ref="f6206a0377aaf42fbb1224a5fbaf6246" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Any::isEmpty           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00099">99</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="cbff05f938b211cb667dddcb46102722"></a><!-- doxytag: member="Ogre::AnyNumeric::getType" ref="cbff05f938b211cb667dddcb46102722" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::type_info&amp; Ogre::Any::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00104">104</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#dbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00372">Ogre::any_cast()</a>, and <a class="el" href="OgreAny_8h-source.html#l00184">Ogre::Any::operator()()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d704178de8d4c025248da486385ac75"></a><!-- doxytag: member="Ogre::AnyNumeric::operator()" ref="4d704178de8d4c025248da486385ac75" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType Ogre::Any::operator()           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00184">184</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00105">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreAny_8h-source.html#l00104">Ogre::Any::getType()</a>, <a class="el" href="OgreAny_8h-source.html#l00175">Ogre::Any::mContent</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="deded586bbc395a3e2d075d63c19f0f6"></a><!-- doxytag: member="Ogre::AnyNumeric::operator&lt;&lt;" ref="deded586bbc395a3e2d075d63c19f0f6" args="(std::ostream &amp;o, const Any &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00110">110</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d386f3fa16eb4c0e860d70c92a9e16dd"></a><!-- doxytag: member="Ogre::AnyNumeric::any_cast" ref="d386f3fa16eb4c0e860d70c92a9e16dd" args="(Any *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType* any_cast           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> *&nbsp;</td>
          <td class="paramname"> <em>operand</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [friend, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00372">372</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9a6bedddda6079058335bb8e78497445"></a><!-- doxytag: member="Ogre::AnyNumeric::mContent" ref="9a6bedddda6079058335bb8e78497445" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">placeholder* <a class="el" href="classOgre_1_1Any.html#9a6bedddda6079058335bb8e78497445">Ogre::Any::mContent</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00175">175</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00372">Ogre::any_cast()</a>, <a class="el" href="OgreAny_8h-source.html#l00224">AnyNumeric()</a>, <a class="el" href="OgreAny_8h-source.html#l00104">Ogre::Any::getType()</a>, <a class="el" href="OgreAny_8h-source.html#l00099">Ogre::Any::isEmpty()</a>, <a class="el" href="OgreAny_8h-source.html#l00325">operator *()</a>, <a class="el" href="OgreAny_8h-source.html#l00352">operator *=()</a>, <a class="el" href="OgreAny_8h-source.html#l00184">Ogre::Any::operator()()</a>, <a class="el" href="OgreAny_8h-source.html#l00315">operator+()</a>, <a class="el" href="OgreAny_8h-source.html#l00340">operator+=()</a>, <a class="el" href="OgreAny_8h-source.html#l00320">operator-()</a>, <a class="el" href="OgreAny_8h-source.html#l00346">operator-=()</a>, <a class="el" href="OgreAny_8h-source.html#l00335">operator/()</a>, <a class="el" href="OgreAny_8h-source.html#l00358">operator/=()</a>, <a class="el" href="OgreAny_8h-source.html#l00078">Ogre::Any::swap()</a>, and <a class="el" href="OgreAny_8h-source.html#l00071">Ogre::Any::~Any()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h-source.html">OgreAny.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
